DelayedDelivery Class Reference

`#include <delayeddelivery.h>`

Inheritance diagram for DelayedDelivery:
[legend]

## Public Member Functions

| DelayedDelivery (const JID &from, const std::string stamp, const std::string &reason="")
| DelayedDelivery (const Tag *tag=0)
virtual | ~DelayedDelivery ()
const std::string & | stamp () const
void | setStamp (const std::string &stamp)
const JID & | from () const
void | setFrom (const JID &from)
const std::string & | reason () const
void | setReason (const std::string &reason)
virtual const std::string & | filterString () const
virtual StanzaExtension * | newInstance (const Tag *tag) const
virtual Tag * | tag () const
virtual StanzaExtension * | clone () const
Public Member Functions inherited from StanzaExtension
| StanzaExtension (int type)
virtual | ~StanzaExtension ()
virtual Stanza * | embeddedStanza () const
virtual Tag * | embeddedTag () const
int | extensionType () const

## Detailed Description

This is an implementation of XEP-0203 (Delayed Delivery).

The class also implements the deprecated XEP-0091 (Delayed Delivery) in a read-only fashion. It understands both XEP formats for input, but any output will conform to XEP-0203.

XEP Version: 0.1

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 38 of file delayeddelivery.h.

## Constructor & Destructor Documentation

## DelayedDelivery() [1/2]

DelayedDelivery | ( | const JID & | from,
|  | const std::string | stamp,
|  | const std::string & | reason = "" )

Constructs a new object and fills it according to the parameters.

Parameters

  from | The JID of the original sender or the entity that delayed the sending.
  stamp | The datetime stamp of the original send.
  reason | An optional natural language reason for the delay.

Definition at line 21 of file delayeddelivery.cpp.

## DelayedDelivery() [2/2]

DelayedDelivery | ( | const Tag * | tag = 0 | ) |

Constructs a new object from the given Tag.

Parameters

  tag | The Tag to parse.

Definition at line 29 of file delayeddelivery.cpp.

## ~DelayedDelivery()

~DelayedDelivery | ( |  | ) |

virtual

Virtual Destructor.

Definition at line 45 of file delayeddelivery.cpp.

## Member Function Documentation

## clone()

virtual StanzaExtension * clone | ( |  | ) | const

inline virtual

Returns an identical copy of the current StanzaExtension.

Returns
  An identical copy of the current StanzaExtension.

Implements StanzaExtension.

Definition at line 116 of file delayeddelivery.h.

## filterString()

const std::string & filterString | ( |  | ) | const

virtual

Returns an XPath expression that describes a path to child elements of a stanza that an extension handles.

Returns
  The extension's filter string.

Implements StanzaExtension.

Definition at line 49 of file delayeddelivery.cpp.

## from()

const JID & from | ( |  | ) | const

inline

Returns the JID of the original sender of the stanza or the entity that delayed the sending. The format MUST adhere to the dateTime format specified in XEP-0082 and MUST be expressed in UTC.

Returns
  The JID.

Definition at line 83 of file delayeddelivery.h.

## newInstance()

virtual StanzaExtension * newInstance | ( | const Tag * | tag | ) | const

inline virtual

Returns a new Instance of the derived type. Usually, for a derived class FooExtension, the implementation of this function looks like:

StanzaExtension* FooExtension::newInstance( const Tag* tag ) const
{
return new FooExtension( tag );
}
gloox::DelayedDelivery::tag
virtual Tag * tag() const
Definition delayeddelivery.cpp:59
gloox::StanzaExtension::StanzaExtension
StanzaExtension(int type)
Definition stanzaextension.h:211
gloox::Tag
This is an abstraction of an XML element.
Definition tag.h:47

Returns
  The derived extension's new instance.

Implements StanzaExtension.

Definition at line 107 of file delayeddelivery.h.

## reason()

const std::string & reason | ( |  | ) | const

inline

Returns a natural language reason for the delay.

Returns
  A natural language reason for the delay.

Definition at line 95 of file delayeddelivery.h.

## setFrom()

void setFrom | ( | const JID & | from | ) |

inline

Sets the JID of the origianl sender or the entity that delayed the sending.

Parameters

  from | The JID.

Definition at line 89 of file delayeddelivery.h.

## setReason()

void setReason | ( | const std::string & | reason | ) |

inline

Sets the reason for the delay.

Parameters

  reason | The reason for the delay.

Definition at line 101 of file delayeddelivery.h.

## setStamp()

void setStamp | ( | const std::string & | stamp | ) |

inline

Sets the original datetime.

Parameters

  stamp | The original datetime.

Definition at line 74 of file delayeddelivery.h.

## stamp()

const std::string & stamp | ( |  | ) | const

inline

Returns the datetime when the stanza was originally sent. The format MUST adhere to the dateTime format specified in XEP-0082 and MUST be expressed in UTC.

Returns
  The original datetime.

Definition at line 68 of file delayeddelivery.h.

## tag()

Tag * tag | ( |  | ) | const

virtual

Returns a Tag representation of the extension.

Returns
  A Tag representation of the extension.

Implements StanzaExtension.

Definition at line 59 of file delayeddelivery.cpp.

The documentation for this class was generated from the following files:

- delayeddelivery.h
- delayeddelivery.cpp